> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/cwv

> Singular endpoint returning Core Web Vitals (CWV) data



## OpenAPI

````yaml /openapi.json get /v1/report/insight/cwv
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/cwv:
    get:
      tags:
        - Reporting/Insights Hub/Core Web Vitals
        - public
      summary: /report/insight/cwv
      description: Singular endpoint returning Core Web Vitals (CWV) data
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: false
          schema:
            type: integer
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: date_group
          in: query
          description: Date grouping when range=custom
          required: false
          schema:
            type: string
            enum:
              - day
              - month
              - year
            default: day
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      dates:
                        type: array
                        items:
                          type: string
                      lcp_50th:
                        type: array
                        items:
                          oneOf:
                            - type: number
                            - type: integer
                      lcp_nar_50th:
                        type: array
                        items:
                          type: integer
                      lcp_nhb_50th:
                        type: array
                        items:
                          type: integer
                      lcp_nex_50th:
                        type: array
                        items:
                          type: integer
                      inp_50th:
                        type: array
                        items:
                          type: number
                      inp_nar_50th:
                        type: array
                        items:
                          oneOf:
                            - type: integer
                            - type: number
                      inp_nhb_50th:
                        type: array
                        items:
                          oneOf:
                            - type: number
                            - type: integer
                      inp_nex_50th:
                        type: array
                        items:
                          oneOf:
                            - type: integer
                            - type: number
                      cls_50th:
                        type: array
                        items:
                          oneOf:
                            - type: number
                            - type: integer
                      cls_nar_50th:
                        type: array
                        items:
                          oneOf:
                            - type: number
                            - type: integer
                      cls_nhb_50th:
                        type: array
                        items:
                          oneOf:
                            - type: number
                            - type: integer
                      cls_nex_50th:
                        type: array
                        items:
                          type: integer
                      fcp_50th:
                        type: array
                        items:
                          type: integer
                      fcp_nar_50th:
                        type: array
                        items:
                          oneOf:
                            - type: integer
                            - type: number
                      fcp_nhb_50th:
                        type: array
                        items:
                          oneOf:
                            - type: integer
                            - type: number
                      fcp_nex_50th:
                        type: array
                        items:
                          type: integer
                    required:
                      - dates
                      - lcp_50th
                      - lcp_nar_50th
                      - lcp_nhb_50th
                      - lcp_nex_50th
                      - inp_50th
                      - inp_nar_50th
                      - inp_nhb_50th
                      - inp_nex_50th
                      - cls_50th
                      - cls_nar_50th
                      - cls_nhb_50th
                      - cls_nex_50th
                      - fcp_50th
                      - fcp_nar_50th
                      - fcp_nhb_50th
                      - fcp_nex_50th
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  dates:
                    - '2025-11-17'
                    - '2025-11-18'
                    - '2025-11-19'
                    - '2025-11-20'
                    - '2025-11-21'
                    - '2025-11-22'
                    - '2025-11-23'
                  lcp_50th:
                    - 1375.300000001
                    - 1396
                    - 1372
                    - 1328
                    - 1356
                    - 1400
                    - 1388
                  lcp_nar_50th:
                    - 1288
                    - 1594
                    - 1172
                    - 1560
                    - 1472
                    - 1524
                    - 1624
                  lcp_nhb_50th:
                    - 1600
                    - 1520
                    - 1260
                    - 1096
                    - 1266
                    - 1300
                    - 1484
                  lcp_nex_50th:
                    - 1572
                    - 1196
                    - 1440
                    - 1520
                    - 1540
                    - 1242
                    - 1488
                  inp_50th:
                    - 159.792207792
                    - 163.775280899
                    - 168.5
                    - 165.75
                    - 163.854014599
                    - 167.483870968
                    - 161.333333333
                  inp_nar_50th:
                    - 186
                    - 223
                    - 155.470588235
                    - 151.574468085
                    - 159.483870968
                    - 232
                    - 225.844210527
                  inp_nhb_50th:
                    - 178.861313869
                    - 169.065107213
                    - 143.755102041
                    - 146.114285714
                    - 160
                    - 182.181818182
                    - 136.666666667
                  inp_nex_50th:
                    - 192
                    - 157.415384615
                    - 178.042553191
                    - 159.507692308
                    - 149.343065694
                    - 140.52173913
                    - 136
                  cls_50th:
                    - 0.001194675
                    - 0.000500568
                    - 0
                    - 0
                    - 0
                    - 0
                    - 0
                  cls_nar_50th:
                    - 0.008585128
                    - 0
                    - 0
                    - 0.000307185
                    - 0
                    - 0
                    - 0
                  cls_nhb_50th:
                    - 0.00323058
                    - 0
                    - 0
                    - 0
                    - 0
                    - 0
                    - 0
                  cls_nex_50th:
                    - 0
                    - 0
                    - 0
                    - 0
                    - 0
                    - 0
                    - 0
                  fcp_50th:
                    - 1096
                    - 1126
                    - 1125
                    - 1100
                    - 1108
                    - 1112
                    - 1100
                  fcp_nar_50th:
                    - 1020
                    - 1432
                    - 1000
                    - 1323
                    - 1132
                    - 1309.5
                    - 1186
                  fcp_nhb_50th:
                    - 1062
                    - 1229
                    - 929.25
                    - 1096
                    - 1214
                    - 1026
                    - 1123
                  fcp_nex_50th:
                    - 1166
                    - 1064
                    - 1012
                    - 1316
                    - 1150
                    - 1064
                    - 1072
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````